#!/bin/bash
# Build a public release of Q3MIN under Linux

# Public releases check the CRC of 'pak1.pk3', as well as the unique
# hard-coded ID number of the EXE files at startup and refuse to run
# if the values do not match.

rm -f Makefile.local
cat Makefile.local.linux > Makefile.local
echo "" >> Makefile.local
echo "BUILD_PUBLIC = 1" >> Makefile.local

# Ensure that the client and server EXEs are rebuilt so that they
# use the CRC checking code

touch ./code/qcommon/common.c

make
